<'
package shr_spi3;

unit shr_spi3_monitor_u like any_unit {

   event transfer_received;   	          //Event to be hooked to port to 
      	             	      	          //inform the ports that a transfer is
					  //ready to be recieved.
   event clock;	
   
   event reset_end;				  
   
   layer       : shr_spi3_layer_t;
   direction   : shr_spi3_direction_t;
   !recd_cycles : list of shr_spi3_datacycle_s;

         
};

extend LINK'layer RX'direction shr_spi3_monitor_u {

   
   collect_transactions()@clock is empty;
   
};

extend PHY'layer TX'direction shr_spi3_monitor_u {

   collect_transactions()@clock is empty;
   
   !last_address : uint; //The last address collected by the monitor
                         //Can be used by the TX PHY BFM to respond to
			 //with valid data.

};


'>
