#!/bin/sh -f

VRST_HOME=/prog/sxm_1.0b1c2; export VRST_HOME;
. ${VRST_HOME}/env.sh;



SHR_SPI3_DIR=/rdc_designs1/projects/amur/sims/spi3/draft/mgraham/avf/shr_spi3;
export SHR_SPI3_DIR;

SPECMAN_PATH=/rdc_designs1/projects/amur/sims/spi3/draft/mgraham/avf;
export SPECMAN_PATH;

cd ${MY_VM_BUILD_DIR};

sn_compile.sh -t . -e . shr_spi3/examples/spi3_top.e -o shr_spi3;

shr_spi3 -c "write stubs -xvlog"


sn_compile.sh -sim xsim -s ${MY_VM_BUILD_DIR}/shr_spi3 -sim_flags "-f ${SHR_SPI3_DIR}/examples/vm_build_HDL.cmd" -o xsim_spi3;
