<'
package shr_spi3;

extend IN shr_spi3_port_u {
      
      !cur_cycle : shr_spi3_datacycle_s;
      

   collect_transfers()@transfer_received is {
   
      var pkt_started : bool;
      pkt_started = FALSE;
      
      var cur_pkt : shr_spi3_packet_s = new;
      
      var tmp_data : list of byte;
      
      while TRUE {
      	 
	 for i from 0 to agent.monitor.recd_cycles.size() - 1 {
            
      	    cur_cycle = agent.monitor.recd_cycles.pop0();
	    if pkt_started == FALSE and cur_cycle.sop == 1 then {
	       pkt_started = TRUE;
      	       if agent.config.mode == NARROW then {
	          cur_pkt.data.add(cur_cycle.data[7:0]);
		  
	       }
	       else if agent.config.mode == WIDE then {
	          if ((cur_cycle.eop == 0) or (cur_cycle.eop == 1 and cur_cycle.modulus == 0)) then {
	             for j from 3 down to 0 {
		     	cur_pkt.data.add(cur_cycle.data[(j+1)*8-1:j*8]);
                        tmp_data.add(cur_cycle.data[(j+1)*8-1:j*8]);
		     };
		  }
		  else if (cur_cycle.eop == 1 and cur_cycle.modulus > 0) then {
		     for j from 3 down to cur_cycle.modulus {
		     	cur_pkt.data.add(cur_cycle.data[(j+1)*8-1:j*8]);
                        tmp_data.add(cur_cycle.data[(j+1)*8-1:j*8]);
		     };
		  };
	       };
	       if cur_cycle.eop == 1 then {
                  //THIS IS THE END OF THE PACKET, DO THE END OF PACKET STUFF
                  pkt_started = FALSE;
                  recd_pkts.add(deep_copy(cur_pkt));
                  cur_pkt = new shr_spi3_packet_s;
                  cur_pkt.data = {};
                  emit pkt_received;
	       };
	    }
	    else if pkt_started == TRUE and cur_cycle.sop == 0 then {
      	       if agent.config.mode == NARROW then {
	          cur_pkt.data.add(cur_cycle.data[7:0]);  
	       }
	       else if agent.config.mode == WIDE then {
	          if ((cur_cycle.eop == 0) or (cur_cycle.eop == 1 and cur_cycle.modulus == 0)) then {
	             for j from 3 down to 0 {
		     	cur_pkt.data.add(cur_cycle.data[(j+1)*8-1:j*8]);
                        tmp_data.add(cur_cycle.data[(j+1)*8-1:j*8]);
		     };
		  }
		  else if (cur_cycle.eop == 1 and cur_cycle.modulus > 0) then {
		     for j from 3 down to cur_cycle.modulus {
		     	cur_pkt.data.add(cur_cycle.data[(j+1)*8-1:j*8]);
                        tmp_data.add(cur_cycle.data[(j+1)*8-1:j*8]);
		     };
		  };
	       };
	       if cur_cycle.eop == 1 then {
                  //THIS IS THE END OF THE PACKET, DO THE END OF PACKET STUFF
                  pkt_started = FALSE;
                  recd_pkts.add(deep_copy(cur_pkt));
                  cur_pkt = new shr_spi3_packet_s;
                  cur_pkt.data = {};
                  emit pkt_received;
	       };      	    
	    } else {
	       //dut_error("SPI3 Packet SOP/EOP out of order"); - FIX THIS GRAHAM
	    };
	 };//for...
      	 wait cycle;
      };//while TRUE
   
   };
   
   run() is also {
      start collect_transfers();
   };

};

'>
